Subject: Re: Cross bootstrap!

From: Nikita Karetnikov <[email-masked]>
Date: Thu, 11 Jul 2013 01:13:07 +0400

> So, did strace display the syscall arguments?  (Apparently not, since it
> would display an hexadecimal address for mmap.)

No.

> It’s worth trying.  The GDB installed on gcc49.fsffrance.org doesn’t
> support N64 (same symptom as reported on the web page you linked.)

It didn't work out [1].

Also, I tried to run

  $ ./pre-inst-env guix build --no-substitutes -K --target=mips64el-linux-gnuabi64 bootstrap-tarballs

and got the same error [2] as before.  'objdump' shows the same output
[3].

Did you mean the following by "the command that build [the archive]" [3]?  

cd /tmp/nix-build-glibc-cross-mips64el-linux-gnuabi64-2.17.drv-2/build && ar cruv libc_pic.a `cat csu/stamp.os iconv/stamp.os locale/stamp.os localedata/stamp.os iconvdata/stamp.os assert/stamp.os ctype/stamp.os intl/stamp.os catgets/stamp.os math/stamp.os setjmp/stamp.os signal/stamp.os stdlib/stamp.os stdio-common/stamp.os libio/stamp.os dlfcn/stamp.os malloc/stamp.os string/stamp.os wcsmbs/stamp.os timezone/stamp.os time/stamp.os dirent/stamp.gcc -c   -g -fkeep-inline-functions -DIN_GCC   -W -Wall -Wno-narrowing -Wwrite-strings -Wcast-qual -Wstrict-prototypes -Wmissing-prototypes -Wmissing-format-attribute -pedantic -Wno-long-long -Wno-variadic-macros -Wno-overlength-strings -Wold-style-definition -Wc++-compat -fno-common  -DHAVE_CONFIG_H -I. -I. -I../../gcc-4.7.3/gcc -I../../gcc-4.7.3/gcc/. -I../../gcc-4.7.3/gcc/../include -I../../gcc-4.7.3/gcc/../libcpp/include  -I../../gcc-4.7.3/gcc/../libdecnumber -I../../gcc-4.7.3/gcc/../libdecnumber/bid -I../libdecnumber    ../../gcc-4.7.3/gcc/ipa-ref.c -o ipa-ref.o

cd /tmp/nix-build-glibc-cross-mips64el-linux-gnuabi64-2.17.drv-3/build && ar cruv libc_pic.a `cat csu/stamp.os iconv/stamp.os locale/stamp.os localedata/stamp.os iconvdata/stamp.os assert/stamp.os ctype/stamp.os intl/stamp.os catgets/stamp.os math/stamp.os setjmp/stamp.os signal/stamp.os stdlib/stamp.os stdio-common/stamp.os libio/stamp.os dlfcn/stamp.os malloc/stamp.os string/stamp.os wcsmbs/stamp.os timezone/stamp.os time/stamp.os dirent/stamp.os grp/stamp.os pwd/stamp.os posix/stamp.os io/stamp.os termios/stamp.os resource/stamp.os misc/stamp.os socket/stamp.os sysvipc/stamp.os gmon/stamp.os gnulib/stamp.os wctype/stamp.os manual/stamp.os shadow/stamp.rpc/clnt_tcp.os

[1] http://sourceware.org/ml/gdb/2013-07/msg00037.html
[2] https://lists.gnu.org/archive/html/bug-guix/2013-03/msg00155.html
[3] https://lists.gnu.org/archive/html/bug-guix/2013-03/msg00156.html